<h2>{$product}</h2>


<h3>{$LANG.clientareaproductdetails}</h3>

<hr>
{$showDownload = false}
{$showVerify = false}

<div class="row">
    <div class="col-sm-5">
        {$LANG.clientareahostingregdate}
    </div>
    <div class="col-sm-7">
        {$regdate}
    </div>
</div>

<div class="row">
    <div class="col-sm-5">
        {$LANG.orderproduct}
    </div>
    <div class="col-sm-7">
        {$groupname} - {$product}
    </div>
</div>

{if $type eq "server"}
    {if $domain}
        <div class="row">
            <div class="col-sm-5">
                {$LANG.serverhostname}
            </div>
            <div class="col-sm-7">
                {$domain}
            </div>
        </div>
    {/if}
    {if $dedicatedip}
        <div class="row">
            <div class="col-sm-5">
                {$LANG.primaryIP}
            </div>
            <div class="col-sm-7">
                {$dedicatedip}
            </div>
        </div>
    {/if}
    {if $assignedips}
        <div class="row">
            <div class="col-sm-5">
                {$LANG.assignedIPs}
            </div>
            <div class="col-sm-7">
                {$assignedips|nl2br}
            </div>
        </div>
    {/if}
    {if $ns1 || $ns2}
        <div class="row">
            <div class="col-sm-5">
                {$LANG.domainnameservers}
            </div>
            <div class="col-sm-7">
                {$ns1}<br />{$ns2}
            </div>
        </div>
    {/if}
{else}
    {if $domain}
        <div class="row">
            <div class="col-sm-5">
                {$LANG.orderdomain}
            </div>
            <div class="col-sm-7">
                {$domain}
                <a href="http://{$domain}" target="_blank" class="btn btn-default btn-xs">{$LANG.visitwebsite}</a>
            </div>
        </div>
    {/if}
    {if $username}
        <div class="row">
            <div class="col-sm-5">
                TLS Order Number
            </div>
            <div class="col-sm-7">
                {$username}
            </div>
        </div>
    {/if}
{/if}

{foreach from=$configurableoptions item=configoption}
    <div class="row">
        <div class="col-sm-5">
            {$configoption.optionname}
        </div>
        <div class="col-sm-7">
            {if $configoption.optiontype eq 3}
                {if $configoption.selectedqty}
                    {$LANG.yes}
                {else}
                    {$LANG.no}
                {/if}
            {elseif $configoption.optiontype eq 4}
                {$configoption.selectedqty} x {$configoption.selectedoption}
            {else}
                {$configoption.selectedoption}
            {/if}
        </div>
    </div>
{/foreach}

<div class="row">
    <div class="col-sm-5">
        {$LANG.orderpaymentmethod}
    </div>
    <div class="col-sm-7">
        {$paymentmethod}
    </div>
</div>

<div class="row">
    <div class="col-sm-5">
        {$LANG.firstpaymentamount}
    </div>
    <div class="col-sm-7">
        {$firstpaymentamount}
    </div>
</div>

<div class="row">
    <div class="col-sm-5">
        {$LANG.recurringamount}
    </div>
    <div class="col-sm-7">
        {$recurringamount}
    </div>
</div>

<div class="row">
    <div class="col-sm-5">
        {$LANG.clientareahostingnextduedate}
    </div>
    <div class="col-sm-7">
        {$nextduedate}
    </div>
</div>

<div class="row">
    <div class="col-sm-5">
        {$LANG.orderbillingcycle}
    </div>
    <div class="col-sm-7">
        {$billingcycle}
    </div>
</div>

<div class="row">
    <div class="col-sm-5">
        {$LANG.clientareastatus}
    </div>
    <div class="col-sm-7">
        {$status}
    </div>
</div>

{if $suspendreason}
    <div class="row">
        <div class="col-sm-5">
            {$LANG.suspendreason}
        </div>
        <div class="col-sm-7">
            {$suspendreason}
        </div>
    </div>
{/if}

<hr>

{if $status == 'Active'}
<div class="row">
    <div class="col-sm-12">
        {if !$username}
        <a style="margin-right: 10px;" class="btn btn-primary" href="clientarea.php?action=productdetails&id={$serviceid}&customAction=enroll">
            {$_LANG.btn_request_text}
        </a>
        {/if}

        {$issued = false}
        {foreach from=$productcustomfields item=customfield}
            {if $customfield.name == 'domainNames' && $customfield.value}
                <script>
                    var {$customfield.name} = {$customfield.value|unescape:'htmlall'};
                </script>
            {/if}
            {if $customfield.name == 'privateKey' && $customfield.value}
                <script>
                    var {$customfield.name} = "{str_replace("\r", '', str_replace("\n", '\n', $customfield.value))}";
                </script>
            {/if}
            {if substr($customfield.value, 0, strlen('-----BEGIN CERTIFICATE-----')) === '-----BEGIN CERTIFICATE-----'}
                <script>
                    var {$customfield.name} = "{str_replace("\r", '', str_replace("\n", '\n', $customfield.value))}";
                </script>
                {if !$issued}
                    <button style="margin-right: 10px;" class="btn btn-default" id="btnSslDownload">
                        {$_LANG.btn_download_text}
                    </button>

                    <a style="margin-right: 10px;" class="btn btn-primary" href="clientarea.php?action=productdetails&id={$serviceid}&customAction=reissue">
                        {$_LANG.btn_reissue_text}
                    </a>
                    {$issued = true}
                    {$showDownload = true}
                {/if}
            {/if}
        {/foreach}

        {if $username && !$issued}
            <button style="margin-right: 10px;" class="btn btn-primary" id="btnSslVerification">
                {$_LANG.btn_dcv_text}
            </button>
            {$showVerify = true}
        {/if}

        {if $configoptionsupgrade}
            <a href="/upgrade.php?type=configoptions&amp;id={$id}" style="margin-right: 10px;" class="btn btn-success">
                {$_LANG.btn_append_san_text}
            </a>
        {/if}

        <a href="clientarea.php?action=cancel&amp;id={$id}" style="margin-right: 10px;" class="btn btn-danger{if $pendingcancellation}disabled{/if}">
            {if $pendingcancellation}
                {$LANG.cancellationrequested}
            {else}
                {$LANG.cancel}
            {/if}
        </a>
    </div>
</div>
{/if}
<script>
{if $showVerify}
window.close_sslVerification = function () {
    window.dcvFrame.remove();
    delete(window.dcvFrame);
    window.dcvDrop.remove();
    delete(window.dcvDrop);
};

window.show_sslVerification = function () {
    window.dcvFrame.style.opacity = 1;
    window.dcvDrop.style.opacity = 0.5;
    $('#btnSslVerification').removeAttr('disabled').text('{$_LANG.btn_dcv_text}');
};
window.open_sslVerification = function () {
    if (!window.dcvFrame) {
        window.dcvFrame = document.createElement("iframe");
        window.dcvFrame.style = "opacity: 0; z-index: 9999; position: fixed; top: 0; left: 0; width:100vw; height:100vh; border:0;";
    }
    if (!window.dcvDrop) {
        window.dcvDrop = document.createElement("div");
        window.dcvDrop.className = "modal-backdrop fade show";
        window.dcvDrop.style.opacity = 0;
        window.dcvDrop.onclick = window.close_sslVerification;
    }
    document.body.append(window.dcvDrop);
    document.body.append(window.dcvFrame);
}

var errMsg = function (msg, then) {
    $.ajax({
        url: '/modules/servers/ssl/static/js/bootbox.js',
        dataType: 'script',
        cache: true,
        success: function () {
            bootbox.alert({
                title: 'Error',
                message: msg,
                size: 'middle'
            });
            if (then) {
                then();
            }
        }
    });
};

if (!window.registeredmessage) {
    window.addEventListener("message", function(messageEvent) {
        if (window[messageEvent.data.action]) {
            window[messageEvent.data.action]();
        }
    });
    window.registeredmessage = true;
}
{/if}

$(document).ready(function () {
    {if $showVerify}
    $('#btnSslVerification').on('click', function () {
        $('#btnSslVerification').attr('disabled', true).text('{$_LANG.btn_loading}');
        $.ajax({
            url: '/clientarea.php?action=productdetails&id={$serviceid}&customAction=dcv',
            type: 'POST',
            dataType: 'json',
            data: {},
            success: function (json) {
                if (!json.success) {
                    errMsg(json.message, function () {
                        $('#btnSslVerification').removeAttr('disabled').text('{$_LANG.btn_dcv_text}')
                    });
                    return;
                }
                window.open_sslVerification();
                window.dcvFrame.src = json.data.tracker + "&showDcv=true&showDcv=true&embed=true&refer=" + encodeURIComponent(location.origin);
            },
            error: function () {
                $('#btnSslVerification').removeAttr('disabled').text('{$_LANG.btn_dcv_text}');
            }
        });
    });
    {/if}

    {if $showDownload}
    $('#btnSslDownload').on('click', function () {
        $('#btnSslDownload').attr('disabled', true);
        var onerror = function () {
            $('#btnSslDownload').removeAttr('disabled');
        };

        $.ajax({
            url: '/modules/servers/ssl/static/js/filesaver.js',
            cache: true,
            dataType: "script",
            error: onerror,
            success: function () {
                $.ajax({
                    url: '/modules/servers/ssl/static/js/jszip.js',
                    cache: true,
                    dataType: "script",
                    error: onerror,
                    success: function () {
                        var newZip = new JSZip();
                        var certName = domainNames[0].replace(/(^\*)|\./g, '_');

                        if (!privateKey || !privateKey.trim()) {
                            // 非服务器生成
                            newZip.file('Apache/' + certName + '.crt', cert);
                            newZip.file('Apache/ca-bundle.crt', ca);
                            newZip.file('Nginx/fullchain.crt', cert + '\r\n' + ca);

                            setTimeout(function () {
                                newZip.generateAsync({ type: 'blob' }).then(function (content) {
                                    saveAs(content, certName + '_no_key' + '.zip');

                                    $('#btnSslDownload').removeAttr('disabled');
                                    errMsg('{$_LANG.err_cert_has_no_key}');
                                });
                            }, 200);
                            return;
                        }

                        $.ajax({
                            url: '/modules/servers/ssl/static/js/jks.js',
                            cache: true,
                            dataType: "script",
                            error: onerror,
                            success: function () {
                                $.ajax({
                                    url: '/clientarea.php?action=productdetails&id={$serviceid}&customAction=downloadPkcs12',
                                    cache: true,
                                    dataType: "json",
                                    error: onerror,
                                    success: function (json) {
                                        if (!issuedCert) {
                                            errMsg('错误：缺失自定义字段: issuedCert，请联系管理员');
                                        }
                                        if (!issuedChain) {
                                            errMsg('错误：缺失自定义字段: issuedChain，请联系管理员');
                                        }
                                        if (!privateKey) {
                                            errMsg('错误：缺失自定义字段: privateKey，请联系管理员');
                                        }

                                        var cert = issuedCert;
                                        var ca = issuedChain;
                                        var key = privateKey;

                                        var password = '123456';

                                        Jks.fromPEM(cert + '\r\n' + ca, key).getJKS(1, password).then(function (jksV1) {
                                            Jks.fromPEM(cert + '\r\n' + ca, key).getJKS(2, password).then(function (jksV2) {
                                                var options = {};
                                                options.base64 = true;

                                                newZip.file('Tomcat/' + certName + '_Tomcat.jks', jksV1);
                                                newZip.file('Tomcat/' + certName + '_Tomcat8_5+.jks', jksV2);
                                                newZip.file('Tomcat/README(密码).txt', password);
                                                newZip.file('Java/' + certName + '_v1.jks', jksV1);
                                                newZip.file('Java/' + certName + '_v2.jks', jksV2);
                                                newZip.file('Java/README(密码).txt', password);
                                                newZip.file('IIS/' + certName + '.pfx', json.data.pkcs12, options);
                                                newZip.file('IIS/README(密码).txt', password);

                                                newZip.file('Apache/' + certName + '.crt', cert);
                                                newZip.file('Apache/ca-bundle.crt', ca);
                                                newZip.file('Apache/private.key', key);

                                                newZip.file('Nginx/fullchain.crt', cert + '\r\n' + ca);
                                                newZip.file('Nginx/private.key', key);

                                                setTimeout(function () {
                                                    newZip.generateAsync({ type: 'blob' }).then(function (content) {
                                                        saveAs(content, certName + '.zip');

                                                        $('#btnSslDownload').removeAttr('disabled');
                                                    });
                                                }, 200);
                                            });
                                        });
                                    },
                                });
                            },
                        });
                    },
                });
            },
        });
    });
    {/if}

    {if $showVerify}
    if (location.search.indexOf('&showDcv=true') > -1) {
        $('#btnSslVerification').click();
    }
    {/if}
});
</script>